Bug 6813 - testparm
testparm
Status: RESOLVED INVALID
Product: Samba 3.4
Classification: Unclassified
Component: Config Files
3.4.2
Other AIX
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-14 16:04 UTC by randy romano
Modified: 2009-10-16 08:41 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description randy romano 2009-10-14 16:04:30 UTC
Compiled on AIX 5.3 ML9 with gcc 4.0.0

testparm is reporting "realm" and "security = ADS" isn't valid.

root@sts:(/usr/local/samba/bin)# ./testparm        
Load smb config files from /usr/local/samba/lib/smb.conf
WARNING: Ignoring invalid value 'ADS' for parameter 'security'
Unknown parameter encountered: "realm"
Ignoring unknown parameter "realm"
Processing section "[romanor]"
Processing section "[tantacomm]"
Loaded services file OK.
'winbind separator = +' might cause problems with group membership.
Server role: ROLE_STANDALONE
Press enter to see a dump of your service definitions



root@sts:(/usr/local/samba/bin)# cat /usr/local/samba/lib/smb.conf
# Samba config file created using SWAT
# from mbnabbs (192.1.1.246)
# Date: 2003/06/10 15:25:40

# Global parameters
[global]
        workgroup = MY-DOMAIN
        security = ADS
        server string = STS test samba server
        realm = MYGROUP.COM
        password server = lngprddc1.mygroup.com
        winbind enum users = no
        winbind enum groups = no
        winbind use default domain = yes
        winbind separator = +
        idmap uid = 5000-500000
        idmap gid = 5000-500000
        log file = /tmp/smb.log
        log level = 4
        # syslog only = yes
        # syslog = 2
        client ntlmv2 auth = yes
        lanman auth = no

[romanor]
        path = /home/romanor
        username = romanor
        read only = no
        guest ok = no
        valid users = MY-DOMAIN+romanor romanor

[tantacomm]
        path = /export/tantacomm
        username = dart 
        read only = yes
        guest ok = yes
Comment 1 Kai Blin 2009-10-14 16:21:59 UTC
Are you sure you built with ADS support? Can you attach the output of smbd -b, please?
Comment 2 randy romano 2009-10-15 10:00:48 UTC
Thank you.
You had requested sending the output of smbd -b.

root@sts:(/usr/local/samba/lib)# /usr/local/samba/sbin/smbd -b
Build environment:
   Built by:    root@sts
   Built on:    Mon Oct 12 20:25:26 EDT 2009
   Built using: gcc
   Build host:  AIX sts 3 5 00CCC31F4C00
   SRCDIR:      /opt/samba/samba-3.4.2/source3
   BUILDDIR:    /opt/samba/samba-3.4.2/source3

Paths:
   SBINDIR: /usr/local/samba/sbin
   BINDIR: /usr/local/samba/bin
   SWATDIR: /usr/local/samba/swat
   CONFIGFILE: /usr/local/samba/lib/smb.conf
   LOGFILEBASE: /usr/local/samba/var
   LMHOSTSFILE: /usr/local/samba/lib/lmhosts
   LIBDIR: /usr/local/samba/lib
   MODULESDIR: /usr/local/samba/lib
   SHLIBEXT: so
   LOCKDIR: /usr/local/samba/var/locks
   STATEDIR: /usr/local/samba/var/locks
   CACHEDIR: /usr/local/samba/var/locks
   PIDDIR: /usr/local/samba/var/locks
   SMB_PASSWD_FILE: /usr/local/samba/private/smbpasswd
   PRIVATE_DIR: /usr/local/samba/private

 System Headers:
   HAVE_SYS_ACL_H
   HAVE_SYS_CDEFS_H
   HAVE_SYS_DMAPI_H
   HAVE_SYS_EA_H
   HAVE_SYS_FILSYS_H
   HAVE_SYS_ID_H
   HAVE_SYS_IOCTL_H
   HAVE_SYS_IPC_H
   HAVE_SYS_MMAN_H
   HAVE_SYS_MODE_H
   HAVE_SYS_PARAM_H
   HAVE_SYS_PRIV_H
   HAVE_SYS_RESOURCE_H
   HAVE_SYS_SELECT_H
   HAVE_SYS_SHM_H
   HAVE_SYS_SOCKET_H
   HAVE_SYS_STATFS_H
   HAVE_SYS_STATVFS_H
   HAVE_SYS_STAT_H
   HAVE_SYS_SYSLOG_H
   HAVE_SYS_SYSMACROS_H
   HAVE_SYS_TERMIO_H
   HAVE_SYS_TIME_H
   HAVE_SYS_TYPES_H
   HAVE_SYS_UIO_H
   HAVE_SYS_UN_H
   HAVE_SYS_VFS_H
   HAVE_SYS_WAIT_H

 Headers:
   HAVE_AIO_H
   HAVE_ALLOCA_H
   HAVE_ARPA_INET_H
   HAVE_CRYPT_H
   HAVE_CTYPE_H
   HAVE_DIRENT_H
   HAVE_DLFCN_H
   HAVE_FCNTL_H
   HAVE_FLOAT_H
   HAVE_FNMATCH_H
   HAVE_GLOB_H
   HAVE_GRP_H
   HAVE_INT16_FROM_RPC_RPC_H
   HAVE_INT32_FROM_RPC_RPC_H
   HAVE_LANGINFO_H
   HAVE_LIMITS_H
   HAVE_LOCALE_H
   HAVE_MEMORY_H
   HAVE_MNTENT_H
   HAVE_NETDB_H
   HAVE_NETINET_IN_H
   HAVE_NETINET_IN_SYSTM_H
   HAVE_NETINET_IP_H
   HAVE_NETINET_TCP_H
   HAVE_NET_IF_H
   HAVE_PTHREAD_H
   HAVE_PWD_H
   HAVE_RPCSVC_YPCLNT_H
   HAVE_RPCSVC_YP_PROT_H
   HAVE_RPC_NETTYPE_H
   HAVE_RPC_RPC_H
   HAVE_SETJMP_H
   HAVE_STANDARDS_H
   HAVE_STDARG_H
   HAVE_STDBOOL_H
   HAVE_STDINT_H
   HAVE_STDIO_H
   HAVE_STDLIB_H
   HAVE_STRINGS_H
   HAVE_STRING_H
   HAVE_STROPTS_H
   HAVE_SYSLOG_H
   HAVE_TERMIOS_H
   HAVE_TERMIO_H
   HAVE_TIME_H
   HAVE_UNISTD_H
   HAVE_UTIME_H
   HAVE_ZLIB_H

 UTMP Options:
   HAVE_UTMPX_H
   HAVE_UTMP_H
   HAVE_UT_UT_EXIT
   HAVE_UT_UT_HOST
   HAVE_UT_UT_ID
   HAVE_UT_UT_NAME
   HAVE_UT_UT_PID
   HAVE_UT_UT_TIME
   HAVE_UT_UT_TYPE
   HAVE_UT_UT_USER
   PUTUTLINE_RETURNS_UTMP
   WITH_UTMP

 HAVE_* Defines:
   HAVE_AIX_ACLS
   HAVE_ATEXIT
   HAVE_BOOL
   HAVE_BZERO
   HAVE_CHMOD
   HAVE_CHOWN
   HAVE_CHROOT
   HAVE_CLOSEDIR64
   HAVE_COMPILER_WILL_OPTIMIZE_OUT_FNS
   HAVE_CONNECT
   HAVE_CREAT64
   HAVE_CRYPT
   HAVE_DECL_ASPRINTF
   HAVE_DECL_RL_EVENT_HOOK
   HAVE_DECL_SNPRINTF
   HAVE_DECL_VASPRINTF
   HAVE_DECL_VSNPRINTF
   HAVE_DEV64_T
   HAVE_DLCLOSE
   HAVE_DLERROR
   HAVE_DLOPEN
   HAVE_DLSYM
   HAVE_DUP2
   HAVE_ENDMNTENT
   HAVE_ENDNETGRENT
   HAVE_ENVIRON_DECL
   HAVE_ERRNO_DECL
   HAVE_EXECL
   HAVE_EXPLICIT_LARGEFILE_SUPPORT
   HAVE_FCHMOD
   HAVE_FCHOWN
   HAVE_FCNTL_LOCK
   HAVE_FCVT
   HAVE_FDATASYNC
   HAVE_FGETEA
   HAVE_FLISTEA
   HAVE_FOPEN64
   HAVE_FREEADDRINFO
   HAVE_FREMOVEEA
   HAVE_FRSIZE
   HAVE_FSEEKO64
   HAVE_FSETEA
   HAVE_FSTAT64
   HAVE_FSYNC
   HAVE_FTELLO64
   HAVE_FTRUNCATE
   HAVE_FTRUNCATE64
   HAVE_FTRUNCATE_EXTEND
   HAVE_FUNCTION_MACRO
   HAVE_GAI_STRERROR
   HAVE_GETADDRINFO
   HAVE_GETCWD
   HAVE_GETDIRENTRIES
   HAVE_GETEA
   HAVE_GETGRENT
   HAVE_GETGRENT_R
   HAVE_GETGRGID_R
   HAVE_GETGRNAM
   HAVE_GETGRNAM_R
   HAVE_GETHOSTBYNAME
   HAVE_GETMNTENT
   HAVE_GETNAMEINFO
   HAVE_GETNETGRENT
   HAVE_GETPAGESIZE
   HAVE_GETPGRP
   HAVE_GETPWENT_R
   HAVE_GETPWNAM_R
   HAVE_GETPWUID_R
   HAVE_GETRLIMIT
   HAVE_GETTIMEOFDAY_TZ
   HAVE_GLOB
   HAVE_GRANTPT
   HAVE_HSTRERROR
   HAVE_ICONV
   HAVE_IFACE_AIX
   HAVE_IF_NAMETOINDEX
   HAVE_IMMEDIATE_STRUCTURES
   HAVE_INET_ATON
   HAVE_INET_NTOA
   HAVE_INET_NTOP
   HAVE_INET_PTON
   HAVE_INITGROUPS
   HAVE_INNETGR
   HAVE_INO64_T
   HAVE_IPV6
   HAVE_ISATTY
   HAVE_LCHOWN
   HAVE_LGETEA
   HAVE_LIBZ
   HAVE_LINK
   HAVE_LISTEA
   HAVE_LLISTEA
   HAVE_LLSEEK
   HAVE_LONGLONG
   HAVE_LONG_LONG
   HAVE_LREMOVEEA
   HAVE_LSEEK64
   HAVE_LSETEA
   HAVE_LSTAT
   HAVE_LSTAT64
   HAVE_MEMCPY
   HAVE_MEMMOVE
   HAVE_MEMSET
   HAVE_MKDIR_MODE
   HAVE_MKNOD
   HAVE_MKTIME
   HAVE_MLOCK
   HAVE_MLOCKALL
   HAVE_MMAP
   HAVE_MSGHDR_MSG_CONTROL
   HAVE_MUNLOCK
   HAVE_MUNLOCKALL
   HAVE_NANOSLEEP
   HAVE_NL_LANGINFO
   HAVE_NO_AIO
   HAVE_OPEN64
   HAVE_OPENDIR64
   HAVE_PATHCONF
   HAVE_PIPE
   HAVE_POLL
   HAVE_POSIX_FADVISE
   HAVE_POSIX_MEMALIGN
   HAVE_PRCTL
   HAVE_PREAD
   HAVE_PREAD64
   HAVE_PRINTF
   HAVE_PTHREAD
   HAVE_PUTUTLINE
   HAVE_PUTUTXLINE
   HAVE_PWRITE
   HAVE_PWRITE64
   HAVE_RAND
   HAVE_RANDOM
   HAVE_READDIR64
   HAVE_READLINK
   HAVE_REALPATH
   HAVE_REMOVEEA
   HAVE_RENAME
   HAVE_REWINDDIR64
   HAVE_SA_FAMILY_T
   HAVE_SECURE_MKSTEMP
   HAVE_SEEKDIR64
   HAVE_SELECT
   HAVE_SENDFILE
   HAVE_SETBUFFER
   HAVE_SETEA
   HAVE_SETEGID
   HAVE_SETENV
   HAVE_SETENV_DECL
   HAVE_SETEUID
   HAVE_SETGIDX
   HAVE_SETGROUPS
   HAVE_SETLINEBUF
   HAVE_SETLOCALE
   HAVE_SETMNTENT
   HAVE_SETNETGRENT
   HAVE_SETPGID
   HAVE_SETPRIV
   HAVE_SETSID
   HAVE_SETUIDX
   HAVE_SHMGET
   HAVE_SHM_OPEN
   HAVE_SIGACTION
   HAVE_SIGBLOCK
   HAVE_SIGPROCMASK
   HAVE_SIGSET
   HAVE_SIG_ATOMIC_T_TYPE
   HAVE_SNPRINTF
   HAVE_SOCKADDR_SA_LEN
   HAVE_SOCKETPAIR
   HAVE_SOCKLEN_T
   HAVE_SOCK_SIN_LEN
   HAVE_SRAND
   HAVE_SRANDOM
   HAVE_SS_FAMILY
   HAVE_STAT64
   HAVE_STATVFS_F_FLAG
   HAVE_STAT_HIRES_TIMESTAMPS
   HAVE_STAT_ST_BLKSIZE
   HAVE_STAT_ST_BLOCKS
   HAVE_STRCASECMP
   HAVE_STRCHR
   HAVE_STRDUP
   HAVE_STRERROR
   HAVE_STRFTIME
   HAVE_STRPBRK
   HAVE_STRSIGNAL
   HAVE_STRTOK_R
   HAVE_STRTOL
   HAVE_STRTOLL
   HAVE_STRTOULL
   HAVE_STRUCT_ADDRINFO
   HAVE_STRUCT_DIR64
   HAVE_STRUCT_DIRENT64
   HAVE_STRUCT_FLOCK64
   HAVE_STRUCT_SECMETHOD_TABLE_METHOD_ATTRLIST
   HAVE_STRUCT_SECMETHOD_TABLE_METHOD_VERSION
   HAVE_STRUCT_SIGEVENT
   HAVE_STRUCT_SIGEVENT_SIGEV_VALUE_SIVAL_PTR
   HAVE_STRUCT_SOCKADDR
   HAVE_STRUCT_SOCKADDR_IN6
   HAVE_STRUCT_SOCKADDR_SA_LEN
   HAVE_STRUCT_SOCKADDR_STORAGE
   HAVE_STRUCT_STAT_ST_MTIME_N
   HAVE_STRUCT_STAT_ST_RDEV
   HAVE_STRUCT_TIMESPEC
   HAVE_ST_RDEV
   HAVE_SYMLINK
   HAVE_SYSCONF
   HAVE_SYSLOG
   HAVE_TELLDIR64
   HAVE_UNIXSOCKET
   HAVE_UNSETENV
   HAVE_UNSIGNED_CHAR
   HAVE_UPDWTMP
   HAVE_USLEEP
   HAVE_UTIMBUF
   HAVE_UTIME
   HAVE_UTIMES
   HAVE_VA_COPY
   HAVE_VOLATILE
   HAVE_VSNPRINTF
   HAVE_WAITPID
   HAVE_YP_GET_DEFAULT_DOMAIN
   HAVE_ZLIBVERSION
   HAVE__Bool
   HAVE__LSEEK
   HAVE__READDIR
   HAVE__READDIR64
   HAVE__VA_ARGS__MACRO
   HAVE___FCNTL
   HAVE___FORK

 --with Options:
   WITH_SENDFILE
   WITH_UTMP
   WITH_WINBIND

 Build Options:
   AIX
   AIX_SENDFILE_API
   BROKEN_STRNDUP
   BROKEN_STRNLEN
   COMPILER_SUPPORTS_LL
   CONFIG_H_IS_FROM_SAMBA
   DEFAULT_DISPLAY_CHARSET
   DEFAULT_DOS_CHARSET
   DEFAULT_UNIX_CHARSET
   LIBREPLACE_NETWORK_CHECKS
   PACKAGE_BUGREPORT
   PACKAGE_NAME
   PACKAGE_STRING
   PACKAGE_TARNAME
   PACKAGE_VERSION
   REPLACE_GETPASS
   REPLACE_STRPTIME
   RETSIGTYPE
   SEEKDIR_RETURNS_VOID
   SHLIBEXT
   SIZEOF_CHAR
   SIZEOF_INT
   SIZEOF_LONG_LONG
   SIZEOF_OFF_T
   SIZEOF_SHORT
   SIZEOF_SIZE_T
   SIZEOF_SSIZE_T
   SIZEOF_VOID_P
   STAT_STATVFS64
   STAT_ST_BLOCKSIZE
   STDC_HEADERS
   STRING_STATIC_MODULES
   SYSCONF_SC_NGROUPS_MAX
   SYSCONF_SC_NPROCESSORS_ONLN
   SYSCONF_SC_PAGESIZE
   SYSLOG_FACILITY
   TIME_WITH_SYS_TIME
   USE_DMAPI
   USE_SETREUID
   WITH_SENDFILE
   WITH_WINBIND
   _GNU_SOURCE
   _LARGE_FILES
   _POSIX_C_SOURCE
   _POSIX_SOURCE
   auth_script_init
   charset_CP437_init
   charset_CP850_init
   loff_t
   static_decl_auth
   static_decl_charset
   static_decl_gpext
   static_decl_idmap
   static_decl_nss_info
   static_decl_pdb
   static_decl_perfcount
   static_decl_rpc
   static_decl_vfs
   static_init_auth
   static_init_charset
   static_init_gpext
   static_init_idmap
   static_init_nss_info
   static_init_pdb
   static_init_perfcount
   static_init_rpc
   static_init_vfs
   vfs_acl_tdb_init
   vfs_acl_xattr_init
   vfs_audit_init
   vfs_cap_init
   vfs_default_quota_init
   vfs_expand_msdfs_init
   vfs_extd_audit_init
   vfs_fake_perms_init
   vfs_fileid_init
   vfs_full_audit_init
   vfs_netatalk_init
   vfs_preopen_init
   vfs_readahead_init
   vfs_readonly_init
   vfs_recycle_init
   vfs_shadow_copy2_init
   vfs_shadow_copy_init
   vfs_smb_traffic_analyzer_init
   vfs_streams_depot_init
   vfs_streams_xattr_init
   vfs_xattr_tdb_init

Type sizes:
   sizeof(char):         1
   sizeof(int):          4
   sizeof(long):         4
   sizeof(long long):    8
   sizeof(uint8):        1
   sizeof(uint16):       2
   sizeof(uint32):       4
   sizeof(short):        2
   sizeof(void*):        4
   sizeof(size_t):       4
   sizeof(off_t):        8
   sizeof(ino_t):        4
   sizeof(dev_t):        4

Builtin modules:
    pdb_smbpasswd pdb_tdbsam pdb_wbc_sam rpc_lsarpc rpc_winreg rpc_initshutdown rpc_dssetup rpc_wkssvc rpc_svcctl rpc_ntsvcs rpc_netlogon r
pc_netdfs rpc_srvsvc rpc_spoolss rpc_eventlog rpc_samr idmap_tdb idmap_passdb idmap_nss nss_info_template auth_sam auth_unix auth_winbind a
uth_wbc auth_server auth_domain auth_builtin auth_netlogond vfs_default vfs_aixacl
root@sts:(/usr/local/samba/lib)# 
Comment 3 randy romano 2009-10-15 10:09:39 UTC
After further reading the compilation docs, I checked my config.log: displayed below.
configure:60486: result: no
configure:60495: WARNING: ber_tag_t is needed for LDAP support
configure:61238: checking for Active Directory and krb5 support
configure:61252: result: auto
configure:61265: WARNING: Disabling Active Directory support (requires LDAP support)
configure:69730: checking for nscd_flush_cache in -lnscd
configure:69763: gcc -o conftest -O  -Iinclude -I./include  -I. -I. -I./../lib/replace -I./../lib/talloc -I./../lib/tevent -I./../lib/tdb/i

I would understand that this means ADS was NOT compiled in to my version although I have LDAP; also shown below
root@sts:(/)# lslpp -l | grep ldap
  ldap.client.adt            5.2.0.0  COMMITTED  Directory Client SDK
  ldap.client.rte            5.2.0.0  COMMITTED  Directory Client Runtime (No
  pware.openldap.rte        2.3.27.0  COMMITTED  OpenLDAP 2.3.27


I know this is an AIX server and you possibly do not have that expertise, but I really need to compile SAMBA with ADS support. I also know you are busy and do not want to waste your time. So if you point me in a direction I can resolve from there.
Comment 4 Kai Blin 2009-10-15 16:31:09 UTC
I don't really know how AIX works. On Linux, you usually need to install the development packages to get headers and other files needed to build with a library. Have a look at your config.log file to see what exactly failed with the LDAP config test.
Comment 5 Karolin Seeger 2009-10-16 08:41:28 UTC
Closing out bug report.